petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFunctionType

Type of function computed

### Synopsis

    typedef enum {SNES_FUNCTION_DEFAULT          = -1,
                  SNES_FUNCTION_UNPRECONDITIONED =  0,
                  SNES_FUNCTION_PRECONDITIONED   =  1} SNESFunctionType;

Many br

Support for these is highly dependent on the solver. Many br

### See Also

SNESSolve(), SNESGetConvergedReason(), KSPSetNormType(),
KSPSetConvergenceTest(), KSPSetPCSide() Many br

Level:advanced
Location:src/snes/../../include/petscsnes.h
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages